[arch-commits] CVS update of extra/multimedia/graveman (PKGBUILD combo_writer.patch)

Jan de Groot jgc at archlinux.org
Sun Aug 5 13:54:17 EDT 2007


    Date: Sunday, August 5, 2007 @ 13:54:17
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia/graveman

   Added: combo_writer.patch (1.1)
Modified: PKGBUILD (1.15 -> 1.16)

Fix bug 7420


--------------------+
 PKGBUILD           |   14 +++++++++-----
 combo_writer.patch |   35 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+), 5 deletions(-)


Index: extra/multimedia/graveman/PKGBUILD
diff -u extra/multimedia/graveman/PKGBUILD:1.15 extra/multimedia/graveman/PKGBUILD:1.16
--- extra/multimedia/graveman/PKGBUILD:1.15	Wed May 30 17:32:24 2007
+++ extra/multimedia/graveman/PKGBUILD	Sun Aug  5 13:54:17 2007
@@ -1,23 +1,27 @@
-# $Id: PKGBUILD,v 1.15 2007/05/30 21:32:24 jgc Exp $
+# $Id: PKGBUILD,v 1.16 2007/08/05 17:54:17 jgc Exp $
 # Maintainer: Judd Vinet <jvinet at zeroflux.org>
 pkgname=graveman
 pkgver=0.3.12.5
 _realver=0.3.12-5
-pkgrel=3
+pkgrel=4
 pkgdesc="A CD-burning frontend for mkisofs, cdrecord and friends"
 arch=(i686 x86_64)
 license=('GPL')
 url="http://graveman.tuxfamily.org"
-depends=('libvorbis' 'libid3tag' 'libglade' 'libmad' 'cdrdao' 'cdrtools'
-	 'sox>=13.0.0' 'dvd+rw-tools' 'flac>=1.1.4' 'libmng')
+depends=('libvorbis' 'libid3tag' 'libglade' 'libmad' 'cdrdao' 'cdrkit'
+	 'sox>=13.0.0' 'dvd+rw-tools' 'flac>=1.2.0' 'libmng')
 makedepends=('perlxml')
 source=(http://graveman.tuxfamily.org/sources/graveman-${_realver}.tar.bz2
+	combo_writer.patch
 	sox.patch)
-md5sums=('c9c80782282c6699effa91d1a806723b' 'c80456110e178e9c29aa1f1875e28539')
+md5sums=('c9c80782282c6699effa91d1a806723b'
+         'd2b5defe6a32c2137a1df34654e35d20'
+         'c80456110e178e9c29aa1f1875e28539')
 
 build() {
   cd ${startdir}/src/${pkgname}-${_realver}
   patch -Np0 -i ${startdir}/src/sox.patch || return 1
+  patch -Np0 -i ${startdir}/src/combo_writer.patch || return 1
   ./configure --prefix=/usr --sysconfdir=/etc
   make || return 1
   mkdir -p ${startdir}/pkg/usr/man/man1
Index: extra/multimedia/graveman/combo_writer.patch
diff -u /dev/null extra/multimedia/graveman/combo_writer.patch:1.1
--- /dev/null	Sun Aug  5 13:54:17 2007
+++ extra/multimedia/graveman/combo_writer.patch	Sun Aug  5 13:54:17 2007
@@ -0,0 +1,35 @@
+--- src/matos.c	2005-05-30 14:51:12.000000000 -0700
++++ src/matos.c.new	2007-06-11 03:14:11.000000000 -0700
+@@ -171,7 +171,10 @@
+   gchar Liso[MAXPATHLEN]="";
+   const gchar *Lptriso;
+ _DEB("DEBUT COPIE !!");
+-
++  
++  /*fix failed burns with CD/DVD combo writers */
++  gint Lmedia;
++  
+   if (!Lsource && !Lgraveur) {
+     g_set_error(Aerror, GRAVEMAN_ERROR, _ERR_INAPPROPRIATE_MODE, 
+       _("Cannot duplicate an iso image to an another iso image with graveman, just copy this file !"));
+@@ -205,8 +208,18 @@
+     } else {
+       sc_grave_set_data(Ag, &Liso, "iso"); /* image iso */
+ 
+-      Lstatus = burn_from_image("copy", Ag, Aerror);
+-      Lstatus = burn_iso2dvd(Ag, Aerror);
++      /*fix failed burns with CD/DVD combo writers */
++      Lmedia = get_cdinfo(Ag, Lgraveur, NULL); 
++      
++      if ((Lmedia & _MEDIA_CDRW) || (Lmedia & _MEDIA_CDR)) { 
++        Lstatus = burn_from_image("copy", Ag, Aerror); //original line 
++      } 
++      
++      else if (Lmedia & _MEDIA_DVD) { 
++        Lstatus = burn_iso2dvd(Ag, Aerror); //original line 
++      }
++      /*end fix */
++
+       sc_grave_del_data(Ag, "iso");
+     }
+   } else if (!Lgraveur) {




More information about the arch-commits mailing list